Bug 144630 - RPM manpages don't point to documentation of advanced features
RPM manpages don't point to documentation of advanced features
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-09 22:36 EST by D. Hugh Redelmeier
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-10 09:26:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description D. Hugh Redelmeier 2005-01-09 22:36:06 EST
Description of problem:
It is hard to find out about newer features of spec files.  The man
pages don't describe them nor do any of the documents listed in SEE ALSO.

It turns out that /usr/share/doc/rpm* contain documents filling in
some of these gaps.  Although these documents could be improved, I
think that they are the best that have been published.

Additional info:

At least rpm(8) and rpmbuild(8) SEE ALSO sections should be updated.

This problem dates back to at least RHL7.0
Comment 1 Jeff Johnson 2005-01-10 09:26:02 EST
Heh, "newer" is the gap between the publication of "Maximum RPM"
in 1997 and the release of rpm-3.0 in RHL 6.0 in 1998.

The convention of puttingv other, useful, documentation
in the path /usr/share/doc/N-V-R is well enough established
that additional explicit ptrs in man pages is not necessary imho.

Note You need to log in before you can comment on or make changes to this bug.